<script>
    import { Tree } from "view-design"
    import FunctionComponent from "../../../libs/utils/FunctionComponent";
    export default FunctionComponent(Tree,'ht-base-tree', 'i',{
        preDispose(ctx,opts) {
            if (ctx.props.showLine!=undefined) {
                opts.class.unshift('ht-base-tree-show-line');
            }
        }
    })
</script>
